<?
ob_start();
session_start();
$c_host = 'localhost';
$c_login = 'civa';
$c_pass = 'gsd12a';
$c_db = 'civa';
$link = mysql_connect($c_host, $c_login, $c_pass)
  or
die ("Не возможно присоединитса к Базе Данных. Сервер возможно перезагружаетса. Обновите страницу через пару секунд");

mysql_select_db ($c_db)
  or die ("Could not select database");
  mysql_query("SET NAMES 'windows-1251'", $link);
  mysql_set_charset("utf8");

header("Pragma: no-cache");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: private");
header("Cache-Control: max-stale=0");
header("Content-type: text/html; charset=utf8");
$id=$_COOKIE['id'];
$acode=$_COOKIE['acode'];
$user=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE id='$id' AND acode='$acode'"));
echo '
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <title>Цивилизация</title>


 <link rel="stylesheet" type="text/css" href="style.css"/>
</head>
<body>
<div class="head">
Поражение

</div><div class="money">';
if ($user['defeat']=='1')
	{
if (isset($_POST['country']))
	{
	$time = $_SERVER['REQUEST_TIME'];
	$error = '';
	$country2 = htmlspecialchars($_POST[country]);
	$date = date('H:i:s',$time);
	$dt=date("Y-m-d H:i:s");
	if(!preg_match('/^[a-z0-9а-яґіїё_ -]{4,}$/iu', $country2)) $error .='В названии страны есть запрещеные символы!<br />';
	$count_country = mb_strlen($country2, 'UTF-8');
	if ($count_country < 4 || $count_country > 20) $error .= 'Неверная длина названия страны<br/>';
	if (mysql_num_rows(mysql_query("SELECT `id` FROM `users` WHERE `country` = '".(mysql_real_escape_string($country2))."' AND `id`!='$id';")) == 1)
		$error .= 'Такая страна уже существует<br/>';
	if (empty($error))
		{
		$id_clan = mysql_fetch_array(mysql_query("SELECT `id`,`leader` FROM `clan` WHERE `id`='$user[clan]'"));
		if ($user['clan'] != '0')
			{
			$clan_id2 = $user['clan'];
			} else $clan_id2 = 0;
		if ($id_clan['leader']==$id)
			{
			$clan = $id_clan['id'];
			}
		$win = $user['win'];
		mysql_query("DELETE FROM `users` WHERE `id`='$id'");
		mysql_query("DELETE FROM `ubuildings` WHERE `owner_id`='$id'");
		mysql_query("DELETE FROM `ally` WHERE `id_user`='$id' OR `id_ally`='$id'");
		$login=$user['login'];
		$mail=$user['mail'];
		$country=$country2;
		$sw=$user['secret_word'];
		$pass=$user['pass'];
		$marat=$time+6*60*60;
		$woods=rand(500,1500);
		$mountains=rand(500,1500);
		$land=4000-$woods-$mountains;



		$login2='Дезертиры '.$country;
	$login3='Захваченная деревня '.$country;
	$login4='Пустая территория '.$country;

	mysql_query("INSERT INTO users SET
	login='$login2',
	pass='".rand(10000,199999)."',
	mail='$mail',
	country='$login2',
	date_reg='$dt',
	time_reg='$time',
	nalog_time='$time',
	marat_end='$marat',
	woods='$woods',
	mountains='$mountains',
	land='$land'
	");
	$id2 = mysql_insert_id();
	mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id2',`type`='lumber',`land`='100';");
	mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id2',`type`='lumber',`land`='100';");


		mysql_query("INSERT INTO users SET
	login='$login3',
	pass='".rand(10000,199999)."',
	mail='$mail',
	country='$login3',
	date_reg='$dt',
	time_reg='$time',
	nalog_time='$time',
	marat_end='$marat',
	woods='$woods',
	mountains='$mountains',
	land='$land'
	");
	$id3 = mysql_insert_id();
	mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id3',`type`='lumber',`land`='100';");
	mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id3',`type`='lumber',`land`='100';");
		mysql_query("INSERT INTO users SET
	login='$login4',
	pass='".rand(10000,199999)."',
	mail='$mail',
	country='$login4',
	date_reg='$dt',
	time_reg='$time',
	nalog_time='$time',
	marat_end='$marat',
	woods='$woods',
	mountains='$mountains',
	land='$land'
	");
	$id4 = mysql_insert_id();
	mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id4',`type`='lumber',`land`='100';");
	mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id4',`type`='lumber',`land`='100';");

	mysql_query("INSERT INTO users SET
	login='$login',
	pass='$pass',
	mail='$mail',
	secret_word='$sw',
	country='$country',
	date_reg='$dt',
	time_reg='$time',
	nalog_time='$time',
	marat_end='$marat',
	woods='$woods',
	mountains='$mountains',
	clan='$clan_id2',
	clan_time='$time',
	win='$win',
	land='$land'
	");
	$id5 = mysql_insert_id();


	mysql_query("UPDATE `clan` SET `leader`='$id5' WHERE `id`='$id_clan'");

	echo 'Вы успешно создали новую страну '.$country.'. Выполните вход в игру заново.</div>';
	setcookie ("id", "", time() - 3600);
	setcookie ("acode", "", time() - 3600);
	echo '<a class="razd" href="index.php">&raquo;Продолжить</a>';
		} else echo $error.'</div><a class="razd" href="defeat.php">Повторить</a>';
	} else {

echo 'Вашу страну захватили. Вы проиграли!
<form method="POST" action="">
Вы можете создать новую страну. <br />Название страны:<br />
<input name="country" type="text" value="">
<input type="submit" value="Создать">
</form>';
			}


echo '</div>
 <a class="razd" href="exit.php">Выход</a></div>
<div class="footer">
<a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
</div>
</body></html>';
	} else header("Location: index.php");

?>